#include "CivSimulResHelperAbs.h"
#include "CivConnection.h"
#include "CivTypes.h"

CivSimulResHelperAbs::CivSimulResHelperAbs()
{

}

CivSimulResHelperAbs::~CivSimulResHelperAbs()
{
}

bool CivSimulResHelperAbs::beginTransaction()
{
	return true;
}

bool CivSimulResHelperAbs::commitTransaction()
{
	return true;
}

bool CivSimulResHelperAbs::insertNodes(const NodeResultItems& nodeMap)
{
	return true;
}

bool CivSimulResHelperAbs::insertLinks(const LinkResultItems& linkMap)
{
	return true;
}

bool CivSimulResHelperAbs::insertTanks(const TankResultItems& tankMap)
{
	return true;
}

bool CivSimulResHelperAbs::insertLinksBulk(const std::map<int, LinkResultItems>& linksMap)
{
	return true;
}

bool CivSimulResHelperAbs::insertNodeBulk(const std::map<int, TankResultItems>& nodesMap)
{
	return true;
}

void CivSimulResHelperAbs::getAllNodeCoords(NodeCoords& nodeCoords)
{

}

void CivSimulResHelperAbs::getAllPipeCoords(PipeCoords& pipeCoords)
{

}

void CivSimulResHelperAbs::getLinCodeSnMap(std::map<std::string, std::string>& map)
{

}

void CivSimulResHelperAbs::getNodeCodeSnMap(std::map<std::string, std::string>& map)
{

}


